Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_id
string<uuid>
required

The unique identifier of a room.

Example:

"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0"

Body

application/json

Parameters that can be defined during Room Client Token creation.

token_ttl_secs
integer
default:600

The time to live in seconds of the Client Token, after that time the Client Token is invalid and can't be used to join a Room.

Required range: 10 <= x <= 3600
Example:

600

refresh_token_ttl_secs
integer
default:3600

The time to live in seconds of the Refresh Token, after that time the Refresh Token is invalid and can't be used to refresh Client Token.

Required range: 60 <= x <= 86400
Example:

3600

Response

Create room client token response.

data
object
Example: